/*
 * GlueBean.java
 *
 * Created on August 26, 2002, 5:21 PM
 */

package cruisePack;

import java.beans.*;
import java.beans.*;
import javax.naming.*;

/**
 *
 * @author  Robert Crowe
 */
public class GlueBean extends Object implements java.io.Serializable {
    
    private static final String PROP_SAMPLE_PROPERTY = "SampleProperty";
    
    private PropertyChangeSupport propertySupport;
    
    /** Holds value of property cruiseManagerHome. */
    private CruiseManagerHome cruiseManagerHome;
    
    /** Creates new GlueBean */
    public GlueBean() {
        propertySupport = new PropertyChangeSupport( this );
        Context c = null;
        Object result = null;
        if (this.cruiseManagerHome == null) {
            try {
                c = new InitialContext();
                result = c.lookup("ejb/CruiseManager");
                // If using the remote interface, the call would look like this
                 cruiseManagerHome = (CruiseManagerHome)javax.rmi.PortableRemoteObject.narrow(result, CruiseManagerHome.class);
                // Using the local interface, so the call looks like this
                //cruiseManagerHome = (CruiseManagerHome) result;
            }
            catch (Exception e) {
                System.out.println("Error: " + e);
            }
        }
    }
    
    
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.addPropertyChangeListener(listener);
    }
    
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.removePropertyChangeListener(listener);
    }
    
    /** Getter for property cruiseManagerHome.
     * @return Value of property cruiseManagerHome.
     */
    public CruiseManagerHome getCruiseManagerHome() {
        return this.cruiseManagerHome;
    }
    
    /** Setter for property cruiseManagerHome.
     * @param cruiseManagerHome New value of property cruiseManagerHome.
     */
    public void setCruiseManagerHome(CruiseManagerHome cruiseManagerHome) {
        this.cruiseManagerHome = cruiseManagerHome;
    }
    
}
