/*
 * JOnASWSBeanClientServlet.java
 *
 * Created on 3 octobre 2003, 17:33
 */

package org.objectweb.wssample.servlets.wsclient;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import javax.xml.rpc.ServiceException;
/*
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.jonas.common.Log;
*/
import org.objectweb.wssample.gen.ssb.*;

/**
 *
 * @author  sauthieg
 */
public class JOnASWSBeanClientServlet extends HttpServlet {
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        out.println("<html>");
        out.println("<head>");
        out.println("<title>JOnAS SSB WebService Test Page</title>");
        out.println("</head>");
        out.println("<body>");

        // Get the service instance
        //---------------------------------------------
        WSBeanEndpointLocalService service = new WSBeanEndpointLocalServiceLocator();

        // In a real Servlet, you should have something like this :
        /*
          Context ctx = new InitialContext();
          WSBeanEndpointLocalService service =
                (WSBeanEndpointLocalService) ctx.lookup("java:comp/env/service/ssb");
        */
        //----------------------------------------------
        
        try {
            URL endpoint = new URL(request.getParameter("endpoint"));
            
            // Get the port where execute methods
            //---------------------------------------------
            WSBeanEndpointLocal port = service.getWSBeanEndpointLocal(endpoint);

            // In a real Servlet, you should have something like this (no endpoint param)
            // endpoint is set automatically by JOnAS
            //  WSBeanEndpointLocal port = service.getWSBeanEndpointLocal();
            //---------------------------------------------
            
            
            // Execute Methods :
            String hello = port.sayHello(request.getParameter("name"));
            int cotes = port.getCotes();

            // Display results :
            out.println("Working with URL : <i>" + endpoint.toString() + "</i><br/>");
            out.println("<b>result of sayHello(name) method :</b><i>" + hello + "</i><br/>");
            out.println("<b>result of getCotes() method :</b><i>" + cotes + "</i><br/>");
            
        } catch(MalformedURLException mue) {
            out.println("Cannot use the specified endpoint URL : '" 
                        + request.getParameter("endpoint") + "'");
        } catch(ServiceException se) {
            out.println("Something goes wrong when calling the WebService");
            se.printStackTrace(out);
        }
        
        out.println("</body>");
        out.println("</html>");
        
        out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
