/*
 * WsClientServlet.java
 *
 * Created on 15 septembre 2003, 09:50
 */

package org.objectweb.wssample.servlets.wsclient;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import javax.naming.Context;
import javax.naming.NamingException;
import javax.naming.InitialContext;

import javax.xml.rpc.ServiceException;

import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.jonas.common.Log;

import org.objectweb.wssample.gen.google.*;

/**
 *
 * @author  sauthieg
 */
public class WsClientServlet extends HttpServlet {

    private Logger logger = Log.getLogger(Log.JONAS_WS_PREFIX);

    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException {
	
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        // output your page here
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Google WebService Response</title>");
        out.println("</head>");
        out.println("<body>");
        


        // Get and Display results
	try {
	    // Get the Context
	    Context ctx = new InitialContext();

        String key = (String) ctx.lookup("java:comp/env/key");;

	    // Lookup the binded service
	    Object s = ctx.lookup("java:comp/env/service/google");
	    GoogleSearchService google = (GoogleSearchService) s;

	    // get the Port object
	    GoogleSearchPort search = google.getGoogleSearchPort();

	    // execute the query
	    GoogleSearchResult result = search.doGoogleSearch(  key, 
                                                            request.getParameter("search"),
                                                            0,     // first index
                                                            10,    // maxresult
                                                            false, //filter
                                                            null,  //restrict
                                                            false, // safesearch
                                                            null,  //lr
                                                            null,  //ie
                                                            null   //oe
                                                            );
        
	    // Display the results
	    ResultElement[] elements = result.getResultElements();
	    for (int i = 0; i < elements.length; i++) {
            out.println("<a href=\"" + elements[i].getURL() + "\">"
                        + elements[i].getTitle() + "</a><br/>");
            out.println(elements[i].getSummary() + "<br/><br/>");
	    }
        
	} catch (NamingException ne) {
	    out.println("<H1>Error when looking for service-ref</H1>");
	    ne.printStackTrace(out);
	} catch (ServiceException se) {
	    out.println("<H1>Error when performign service-ref</H1>");
	    se.printStackTrace(out);
	}
    
    out.println("</body>");
    out.println("</html>");
    out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
